Bug 146199 - Kernel panic: pci_map_single: high address but no IOMMU
Kernel panic: pci_map_single: high address but no IOMMU
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-25 17:25 EST by Glenn Chu
Modified: 2013-08-05 21:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-27 10:19:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glenn Chu 2005-01-25 17:25:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:
Kernel panic when mounting the cdrom on a Dell 2850/EM64T on kernel
verion 2.4.21-27.0.2.  This does not happen on 2.4.21-15.

root@walter:~# mount /mnt/cdrom
Message from syslogd@walter at Tue Jan 25 13:18:53 2005 ...
walter kernel: Kernel panic: pci_map_single: high address but no IOMMU.



Jan 25 12:35:59 walter kernel: ide-floppy driver 0.99.newide
Jan 25 12:35:59 walter kernel: hda: attached ide-cdrom driver.
Jan 25 12:35:59 walter kernel: hda: ATAPI 24X CD-ROM drive, 128kB
Cache, UDMA(33)
Jan 25 12:35:59 walter kernel: Uniform CD-ROM driver Revision: 3.12
Jan 25 12:35:59 walter kernel: Kernel panic: pci_map_single: high
address but no IOMMU.


Version-Release number of selected component (if applicable):
kernel-2.4.21-27.0.2.EL.x86_64

How reproducible:
Always

Steps to Reproduce:
1. mount /dev/hda /mnt/cdrom
    

Actual Results:  Kernel panic: pci_map_single: high address but no IOMMU.

Additional info:
Comment 1 Ernie Petrides 2005-01-26 20:46:31 EST
Glen, are you using the correct (ia32e) kernel?  For RHEL3,
you need to be using kernel-2.4.21-27.0.2.EL.ia32e.
Comment 2 Glenn Chu 2005-01-26 20:55:33 EST
Did not see the ia32e rpm.   Thanks!
Comment 3 Jim Paradis 2005-01-27 04:58:55 EST
Glen, does it work for you now?  If so I'll close this as NOTABUG.
Comment 4 Glenn Chu 2005-01-27 10:19:26 EST
Thew ia32e kernel works fine.  Please close.   Thanks again.

Note You need to log in before you can comment on or make changes to this bug.